%global dlrn_nvr neutron-tempest-plugin-0.9.0-1.20200910133418.15c85f6
%global dlrn 1
%define upstream_version 0.9.0
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
%global service neutron
%global plugin neutron-tempest-plugin
%global module neutron_tempest_plugin
%global with_doc 0

# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc \
This package contains Tempest tests to cover the Neutron project. \
Additionally it provides a plugin to automatically load these tests into Tempest.

Name:       python-%{service}-tests-tempest
Version: 0.9.0
Release: 1.20200910133418.15c85f6%{?dist}
Summary:    Tempest Integration of Neutron Project
License:    ASL 2.0
URL:        https://git.openstack.org/cgit/openstack/%{plugin}/

Source0: neutron-tempest-plugin-0.9.0-1.20200910133418.15c85f6.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=15c85f65093f0b717575817394cd937f2cedf3e1
Patch0001: 0001-Add-timeout-to-check_connectivity-method.patch
Patch0002: 0002-Helper-class-for-BaseSecGroupRulesQuota-tests.patch
Patch0003: 0003-QoS-Change-the-way-we-measure-bw-limits.patch
Patch0004: 0004-Fix-how-nc-is-called-in-qos-test.patch
Patch0005: 0005-test_port_forwarding_to_2_servers-netcat-listen-stop.patch
Patch0006: 0006-Ensure-that-external-network-don-t-have-any-ports-be.patch
Patch0007: 0007-Adding-new-test-of-security-group-rules-quota-increa.patch
Patch0008: 0008-Added-description-to-test_sg_rules_quota_increased.patch
Patch0009: 0009-Fixed-test_sg_quota_increased-test.patch
Patch0010: 0010-Added-new-API-test_sg_rules_quota_values.patch
Patch0011: 0011-Add-new-scenario-test-for-IPv6-hot-plug.patch
Patch0012: 0012-Added-new-API-test_create_sg_rules_when_quota_disabl.patch
Patch0013: 0013-Added-new-API-test_sg_rules_quota_decrease_less_than.patch

BuildArch:  noarch

BuildRequires:  git
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python%{pyver}-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python%{pyver}-%{service}-tests-tempest}

Obsoletes: python-neutron-tests < 1:12.0.0

Provides: python%{pyver}-networking-bgpvpn-tests-tempest = %{version}-%{release}
Provides: python-networking-bgpvpn-tests-tempest = %{version}-%{release}
Obsoletes: python%{pyver}-networking-bgpvpn-tests-tempest

Provides: python%{pyver}-networking-sfc-tests-tempest = 9.0.0-%{release}
Provides: python-networking-sfc-tests-tempest = 9.0.0-%{release}
Obsoletes: python%{pyver}-networking-sfc-tests-tempest < 9.0.0

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools

Requires:   python%{pyver}-ddt >= 1.0.1
Requires:   python%{pyver}-eventlet >= 0.20.1
%if %{pyver} == 2
Requires:   python-ipaddress
Requires:   python-netaddr >= 0.7.19
%else
Requires:   python%{pyver}-netaddr >= 0.7.19
%endif
Requires:   python%{pyver}-debtcollector >= 1.2.0
Requires:   python%{pyver}-neutron-lib >= 1.25.0
Requires:   python%{pyver}-oslo-config >= 2:5.2.0
Requires:   python%{pyver}-oslo-log >= 3.36.0
Requires:   python%{pyver}-oslo-serialization >= 2.18.0
Requires:   python%{pyver}-oslo-utils >= 3.33.0
Requires:   python%{pyver}-paramiko >= 2.0.0
Requires:   python%{pyver}-pbr >= 3.3.1
Requires:   python%{pyver}-six  >= 1.10.0
Requires:   python%{pyver}-tempest >= 1:18.0.0
Requires:   python%{pyver}-testtools >= 1.8.0
Requires:   python%{pyver}-testscenarios >= 0.5.0
Requires:   python%{pyver}-tenacity >= 3.2.1

%description -n python%{pyver}-%{service}-tests-tempest
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{service}-tests-tempest-doc
Summary:        python-%{service}-tests-tempest documentation

BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-openstackdocstheme

%description -n python-%{service}-tests-tempest-doc
It contains the documentation for the Neutron tempest plugin.
%endif

%prep
%autosetup -n %{plugin}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%{pyver_build}

# Generate Docs
%if 0%{?with_doc}
%{pyver_bin} setup.py build_sphinx -b html
# remove the sphinx build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{pyver_install}

%files -n python%{pyver}-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{pyver_sitelib}/%{module}
%{pyver_sitelib}/*.egg-info

%if 0%{?with_doc}
%files -n python-%{service}-tests-tempest-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Thu Sep 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.9.0-1
- Ensure that external network don't have any ports before deletion (rhbz#1812074)
- test_port_forwarding_to_2_servers: netcat listen stops too soon (rhbz#1852375)

* Thu Sep 10 2020 ekuris <ekuris@redhat.com> 0.9.0-1.20200824143417
- Added new API test_sg_rules_quota_decrease_less_than_created. (rhbz#1844999)
- Added new API test_create_sg_rules_when_quota_disabled (rhbz#1844999)
- Merge "Added new API test_sg_rules_quota_values." into rhos-16.1-trunk-patches
- Added new API test_sg_rules_quota_values. (rhbz#1844999)
- Merge "Helper class for BaseSecGroupRulesQuota tests." into rhos-16.1-trunk-patches
- Ensure that external network don't have any ports before deletion (rhbz#1812074)
- test_port_forwarding_to_2_servers: netcat listen stops too soon (rhbz#1852375)

* Mon Aug 24 2020 OSP Prod Chain <dev-null@redhat.com> 0.9.0-1
- Ensure that external network don't have any ports before deletion (rhbz#1812074)
- test_port_forwarding_to_2_servers: netcat listen stops too soon (rhbz#1852375)

* Mon Aug 24 2020 Slawek Kaplonski <skaplons@redhat.com> 0.9.0-0.20200720133416.15c85f6
- Add new scenario test for IPv6 hot plug (rhbz#1871075)
- Fixed test_sg_quota_increased test (rhbz#1844999)
- Added description to test_sg_rules_quota_increased. (rhbz#1844999)
- Adding new test of security group rules quota increased. (rhbz#1844999)
- Merge "Helper class for BaseSecGroupRulesQuota tests." into rhos-16.1-trunk-patches
- Helper class for BaseSecGroupRulesQuota tests. (rhbz#1844999)

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.9.0-1
- Update patches

* Mon Jul 20 2020 Bernard Cafarelli <bcafarel@redhat.com> 0.9.0-0.20200706153406.15c85f6
- Ensure that external network don't have any ports before deletion (rhbz#1812074)

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.9.0-1
- Update patches

* Mon Jul 06 2020 Flavio Fernandes <flaviof@redhat.com> 0.9.0-0.20200622133436.15c85f6
- test_port_forwarding_to_2_servers: netcat listen stops too soon (rhbz#1852375)
- Fix how nc is called in qos test (rhbz#1817973)
- QoS - Change the way we measure bw limits (rhbz#1812059)

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.9.0-1
- Update patches

* Mon Jun 22 2020 Eduardo Olivares <eolivare@redhat.com> 0.9.0-1.20200323103434.15c85f6
- Add timeout to check_connectivity method, rhbz#1846027

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> 0.9.0-1
- Update patches
- Disable security group quotas in NetworkSecGroupTest
- Increase default security group quota up to 150
- Fix intermittent port_forwarding test failures
- Fix how nc client and server are run in scenario tests
- Pin designate-tempest-plugin for Stein/Rocky/Queens branches
- Add port-range remote_group security group testcase
- Enhance the test_multicast_between_vms_on_same_network test
- Remove references to "tenant_id" in test_security_groups
- Modify rocky jobs to run with correct py version
- Remove references to "tenant_id" in test_qos
- Fix test_connectivity_dvr_and_no_dvr_routers_in_same_subnet test
- Drop all Rocky jobs from both check and gate queues
- Stop using not existing ShellCommandError exception class
- Change the default multicast group range
- Remove "unstable_test" decorator local implementation
- Adding pattern to check_remote_connectivity function
- Negative tests for security group quota
- Security group assignment negative tests
- Use default cirros image to reap the benefits of infra cache

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches

* Thu Feb 27 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches

* Wed Feb 05 2020 OSP Prod Chain <dev-null@redhat.com> 0.8.0-1
- Update patches

* Wed Feb 05 2020 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- Update patches
- Use different CIDRs for private and public subnets
- Merge "Add debugging information in case of SSH connection error"
- Merge "Fix how netcat is called when started as server"
- Merge "Positive tests for security group quota"
- Add debugging information in case of SSH connection error
- Merge "Remove TEMPEST_BRANCH var from neutron queens job."
- Merge "Fix neutron-tempest-plugin tag for queens jobs"
- Remove TEMPEST_BRANCH var from neutron queens job.
- Fix neutron-tempest-plugin tag for queens jobs
- Fix how netcat is called when started as server
- Remove unused method "create_network_keystone_v3"
- Positive tests for security group quota
- Remove references to "tenant_id" in test_shared_network_extension
- Merge "Revert "Switch neutron-dynamic-routing job to be non-voting temporaray""
- Merge "Extend tests for external DNS integration"
- Revert "Switch neutron-dynamic-routing job to be non-voting temporaray"
- Merge "Switch fwaas jobs to be non-voting and non gating temporary"
- Switch fwaas jobs to be non-voting and non gating temporary
- Stop re-using client connections
- Merge "Add test to attach and detach policies with regular client"
- Add "test_delete_agent_negative"
- Add test to attach and detach policies with regular client
- Merge "Migrate neutron-vpnaas tests to neutron-tempest-plugin"
- Migrate neutron-vpnaas tests to neutron-tempest-plugin
- Merge "Queens jobs will now be run with same version of plugin"
- Merge "Use python 3 on all nodes in multinode job"
- Merge "Add test to create policy with multiple rules"
- Add test to create policy with multiple rules
- Temporarily limit SFC testing concurrency
- Use python 3 on all nodes in multinode job
- Merge "bgp_speaker_extensions: Don't execute the negative tests under smoke"
- Queens jobs will now be run with same version of plugin
- Extend tests for external DNS integration
- Merge "Add stable/train jobs definitions"
- Merge "Fix errors in designate scenarios jobs"
- Add stable/train jobs definitions
- bgp_speaker_extensions: Don't execute the negative tests under smoke
- Merge "Fix list of API extensions for dvr and designate jobs"
- Merge "Mark port_forwarding scenario test as unstable temporary"
- Mark port_forwarding scenario test as unstable temporary
- Mark multicast scenario test as unstable for now
- Switch neutron-dynamic-routing job to be non-voting temporaray
- Merge "Add test to create and update DSCP values"
- Merge "Update the constraints url"
- Merge "Make one agent untouchable in test_agent_management"
- Merge "Add stadium projects jobs to the gate queue"
- Merge "Check parameters returned in "list_network_segment_ranges""
- Merge "Add scenario test for port forwarding and UDP"
- Check parameters returned in "list_network_segment_ranges"
- Add scenario test for port forwarding and UDP
- Merge "Switch bagpipe-bgpvpn job to be run using Python3"
- Fix list of API extensions for dvr and designate jobs
- Switch bagpipe-bgpvpn job to be run using Python3
- Add test to create and update DSCP values
- Merge "Disable scenario test for trunk subports connectivity on Queens"
- Make one agent untouchable in test_agent_management
- Disable scenario test for trunk subports connectivity on Queens
- Add stadium projects jobs to the gate queue
- Merge "Move neutron-dynamic-routing BGP tests from stadium"
- Fix errors in designate scenarios jobs
- Add tests for L3 conntrack helper
- Move neutron-dynamic-routing BGP tests from stadium
- Update the constraints url

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- Add tests for L3 conntrack helper
- Move neutron-dynamic-routing BGP tests from stadium
- Merge "Move neutron-dynamic-routing BGP tests from stadium"
- Add tests for L3 conntrack helper
- Move neutron-dynamic-routing BGP tests from stadium

* Mon Sep 30 2019 RDO <dev@lists.rdoproject.org> 0.6.0-1
- Update to 0.6.0

